Skip to main content
PUT
/
storage
/
columns
/
reorder
Reorder columns
curl --request PUT \
  --url https://api.getcargo.io/v1/storage/columns/reorder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "columnSlug": "<string>",
  "toIndex": 4503599627370495
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

modelUuid
string<uuid>
required

Model identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
columnSlug
string
required

Column slug to reorder.

toIndex
integer
required

Target index for the column.

Required range: 0 <= x <= 9007199254740991

Response

Successful response

The response is of type object.